if (!window.Essay)
	Essay = {};

Essay.Page = function() 
{
}

Essay.Page.prototype =
{
	handleLoad: function(control, userContext, rootElement) 
	{
		this.control = control;

		this.control.content.findName("Rotation").Begin();
		this.control.content.findName("Texting").Begin();
		// Sample event hookup:	
		//rootElement.addEventListener("MouseLeftButtonDown", Silverlight.createDelegate(this, this.handleMouseDown));
		//this.control.content.findName("MyButton").addEventListener("MouseLeftButtonDown", Silverlight.createDelegate(this, this.handleMouseDown));
	},
	
	// Sample event handler
	handleMouseDown: function(sender, eventArgs) 
	{
		// The following line of code shows how to find an element by name and call a method on it.
		// this.control.content.findName("Storyboard1").Begin();
		this.control.content.findName("Rotation").Begin();
	}
}

//function OnLoaded(sender, eventArgs)
//{
	//this.control.content.findName("Rotation").Begin();

//}